Create a PTR record for a cloud instance
POST/v1/cloud_computing/instances/{instance_id}/ptr_records
In case you want to create a new PTR record for a cloud instance, send a POST request to /v1/cloud_computing/instances/{instance_id}/ptr_records with the instance ID in the path parameter. Fill in the PTR record details in the request body.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
instance_id | stringA unique identifier of a cloud instance. |
Request Body
| Field | Details |
|---|---|
data | stringA domain name for a PTR record. |
ip | stringA public IPv4 or IPv6 address associated with this PTR record. |
ttl? | integerTTL (time to live) defines how long a PTR record will be cached on the DNS servers. It's 60 by default. |
priority? | integerThe priority determines what PTR record to contact first. The lower the number, the higher the priority. It's 0 by default. |
Response Body
application/json
curl -X POST "https://example.com/v1/cloud_computing/instances/X7ax9byv/ptr_records" \ -H "Content-Type: application/json" \ -d '{ "ip": "127.0.0.69", "data": "example-576.com" }'{ "id": "pmbk5ezJ", "ip": "127.0.0.69", "domain": "example-576.com", "priority": 0, "ttl": 3600}